
terraform {
  backend "s3" {
    bucket = "terraform"
    key    = "glusterfs/terraform/terraform.tfstate"
    region = "eu-central-1"
    #region         = "garage"  # Matches Garage's s3_region
    endpoints      = {
      s3 = "http://192.168.178.227:3900"
    }
    access_key     = "GK18b7f5c00d05fc949038a389"
    secret_key     = "bff63c14e01c067eba9753fa80db27192f3786e853a1a444bd909a066f2f09bf"
    skip_credentials_validation = true
    skip_requesting_account_id  = true  # New: skips STS/IAM calls
    skip_metadata_api_check     = true
    force_path_style            = true
    skip_region_validation      = true
    #skip_requests_to_secondary_region = true
  }
}